Debian Bug report logs - #534084
dwarves-dfsg: FTBFS: Nonexistent build-dependency: libebl-dev

version graph

Package: dwarves-dfsg; Maintainer for dwarves-dfsg is Thomas Girard <thomas.g.girard@free.fr>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 21 Jun 2009 15:55:29 UTC

Severity: serious

Tags: patch, sid, squeeze

Found in version 1.3-1

Fixed in version dwarves-dfsg/1.3-1.1

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thomas Girard <thomas.g.girard@free.fr>:
Bug#534084; Package dwarves-dfsg. (Sun, 21 Jun 2009 15:55:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Thomas Girard <thomas.g.girard@free.fr>. (Sun, 21 Jun 2009 15:55:31 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: dwarves-dfsg: FTBFS: Nonexistent build-dependency: libebl-dev
Date: Sun, 21 Jun 2009 17:38:47 +0200
Package: dwarves-dfsg
Version: 1.3-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090620 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> ** Using build dependencies supplied by package:
> Build-Depends: cmake, debhelper (>= 5), libdw-dev (>= 0.130-2), libebl-dev, libelf-dev
> 
> ┌──────────────────────────────────────────────────────────────────────────────┐
> │ Install build dependencies                                                   │
> └──────────────────────────────────────────────────────────────────────────────┘
> 
> Checking for already installed source dependencies...
> W: Unable to locate package libebl-dev
> cmake: missing
> debhelper: missing
> Using default version 7.2.16
> libdw-dev: missing
> Using default version 0.141-2
> libebl-dev: missing
> libelf-dev: missing
> Checking for source dependency conflicts...
> E: Couldn't find package libebl-dev

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/06/20/dwarves-dfsg_1.3-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Girard <thomas.g.girard@free.fr>:
Bug#534084; Package dwarves-dfsg. (Fri, 14 Aug 2009 22:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Thomas Girard <thomas.g.girard@free.fr>. (Fri, 14 Aug 2009 22:27:06 GMT) Full text and rfc822 format available.

Message #10 received at 534084@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 534084@bugs.debian.org
Cc: control@bugs.debian.org
Subject: re: dwarves-dfsg: FTBFS: Nonexistent build-dependency: libebl-dev
Date: Fri, 14 Aug 2009 23:25:15 +0100
[Message part 1 (text/plain, inline)]
tags 534084 +patch
thanks

Patch is attached


[dwarves-dfsg.patch (text/x-diff, inline)]
diff -ur dwarves-dfsg-1.3/cmake/modules/FindDWARF.cmake dwarves-dfsg-1.3.new/cmake/modules/FindDWARF.cmake
--- dwarves-dfsg-1.3/cmake/modules/FindDWARF.cmake	2009-08-14 22:24:10.000000000 +0000
+++ dwarves-dfsg-1.3.new/cmake/modules/FindDWARF.cmake	2009-08-14 22:21:37.000000000 +0000
@@ -24,19 +24,19 @@
 	~/usr/local/include
 )
 
-set(DWARF_LIBRARY /usr/lib/libdw.a)
+set(DWARF_LIBRARY /usr/lib/libdw.so)
 
 set(ELF_LIBRARY /usr/lib/libelf.a)
 
-set(EBL_LIBRARY /usr/lib/libebl.a)
+#set(EBL_LIBRARY /usr/lib/libebl.a)
 
-if (DWARF_INCLUDE_DIR AND LIBDW_INCLUDE_DIR AND DWARF_LIBRARY AND ELF_LIBRARY AND EBL_LIBRARY)
+if (DWARF_INCLUDE_DIR AND LIBDW_INCLUDE_DIR AND DWARF_LIBRARY AND ELF_LIBRARY)
 	set(DWARF_FOUND TRUE)
-	set(DWARF_LIBRARIES ${DWARF_LIBRARY} ${EBL_LIBRARY} ${DWARF_LIBRARY} ${ELF_LIBRARY})
-else (DWARF_INCLUDE_DIR AND LIBDW_INCLUDE_DIR AND DWARF_LIBRARY AND ELF_LIBRARY AND EBL_LIBRARY)
+	set(DWARF_LIBRARIES ${DWARF_LIBRARY} ${DWARF_LIBRARY} ${ELF_LIBRARY})
+else (DWARF_INCLUDE_DIR AND LIBDW_INCLUDE_DIR AND DWARF_LIBRARY AND ELF_LIBRARY)
 	set(DWARF_FOUND FALSE)
 	set(DWARF_LIBRARIES)
-endif (DWARF_INCLUDE_DIR AND LIBDW_INCLUDE_DIR AND DWARF_LIBRARY AND ELF_LIBRARY AND EBL_LIBRARY)
+endif (DWARF_INCLUDE_DIR AND LIBDW_INCLUDE_DIR AND DWARF_LIBRARY AND ELF_LIBRARY)
 
 if (DWARF_FOUND)
 	if (NOT DWARF_FIND_QUIETLY)
diff -ur dwarves-dfsg-1.3/debian/control dwarves-dfsg-1.3.new/debian/control
--- dwarves-dfsg-1.3/debian/control	2009-08-14 22:24:10.000000000 +0000
+++ dwarves-dfsg-1.3.new/debian/control	2009-08-14 22:22:29.000000000 +0000
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Thomas Girard <thomas.g.girard@free.fr>
 Uploaders: Domenico Andreoli <cavok@debian.org>
-Build-Depends: debhelper (>= 5), libelf-dev, libebl-dev, libdw-dev (>= 0.130-2), cmake
+Build-Depends: debhelper (>= 5), libelf-dev, libdw-dev (>= 0.141-1), cmake
 Standards-Version: 3.7.3
 Section: utils
 Homepage: http://oops.ghostprotocols.net:81/blog

Added tag(s) patch. Request was from peter green <plugwash@p10link.net> to control@bugs.debian.org. (Fri, 14 Aug 2009 22:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Girard <thomas.g.girard@free.fr>:
Bug#534084; Package dwarves-dfsg. (Sun, 29 Nov 2009 11:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Thomas Girard <thomas.g.girard@free.fr>. (Sun, 29 Nov 2009 11:51:06 GMT) Full text and rfc822 format available.

Message #17 received at 534084@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 534084@bugs.debian.org
Subject: Re: dwarves-dfsg: FTBFS: Nonexistent build-dependency: libebl-dev
Date: Sun, 29 Nov 2009 12:49:38 +0100
[Message part 1 (text/plain, inline)]
Hi,

I have uploaded the attached interdiff.


Cheers,

Michael
[interdiff (text/plain, attachment)]

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Sun, 29 Nov 2009 12:05:37 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 29 Nov 2009 12:05:37 GMT) Full text and rfc822 format available.

Message #22 received at 534084-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 534084-close@bugs.debian.org
Subject: Bug#534084: fixed in dwarves-dfsg 1.3-1.1
Date: Sun, 29 Nov 2009 12:03:37 +0000
Source: dwarves-dfsg
Source-Version: 1.3-1.1

We believe that the bug you reported is fixed in the latest version of
dwarves-dfsg, which is due to be installed in the Debian FTP archive:

dwarves-dfsg_1.3-1.1.diff.gz
  to main/d/dwarves-dfsg/dwarves-dfsg_1.3-1.1.diff.gz
dwarves-dfsg_1.3-1.1.dsc
  to main/d/dwarves-dfsg/dwarves-dfsg_1.3-1.1.dsc
dwarves_1.3-1.1_i386.deb
  to main/d/dwarves-dfsg/dwarves_1.3-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 534084@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated dwarves-dfsg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Nov 2009 12:45:58 +0100
Source: dwarves-dfsg
Binary: dwarves
Architecture: source i386
Version: 1.3-1.1
Distribution: unstable
Urgency: low
Maintainer: Thomas Girard <thomas.g.girard@free.fr>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 dwarves    - set of advanced DWARF utilities
Closes: 534084
Changes: 
 dwarves-dfsg (1.3-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Applied patch by Peter Green (Closes: #534084)
     + cmake/modules/FindDWARF.cmake: Removed libebl support.
     + debian/control (Build-Depends): Removed libebl-dev.
Checksums-Sha1: 
 55623f3f6fb6d7863180c44275f25cef4c08e42d 1114 dwarves-dfsg_1.3-1.1.dsc
 3d0248a1198760c724df114256d0990d73ba70ef 10404 dwarves-dfsg_1.3-1.1.diff.gz
 1d3a075f075735cd5fadc2f7745ca5a1aca57a6e 160520 dwarves_1.3-1.1_i386.deb
Checksums-Sha256: 
 530de64879d2e4f0faa65dab32b1aa8629b1f2c04b6f090d722386eaa690efc7 1114 dwarves-dfsg_1.3-1.1.dsc
 efdd0ba4012e5566fa573c7762b9326d94749a4be946f22a530332a7263b34fc 10404 dwarves-dfsg_1.3-1.1.diff.gz
 3f96babec9269b41ced98bbd964fd468dc4b70457e17e4fa61668fa4f9b1f556 160520 dwarves_1.3-1.1_i386.deb
Files: 
 35f0a6d94a992eca27c4fc98b53a7d11 1114 utils extra dwarves-dfsg_1.3-1.1.dsc
 86bb3abde8086406736df2a0992fb4e7 10404 utils extra dwarves-dfsg_1.3-1.1.diff.gz
 d82d462cdd31d0fc7356526705d4a096 160520 utils extra dwarves_1.3-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLEl/NmHaJYZ7RAb8RA1ouAJ9Qw/6qGoMQQ3qTWSMtEkcVEA6O8gCfSFq7
pGkpknWKeE2w1UQks1pjfNo=
=VWXb
-----END PGP SIGNATURE-----





Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Fri, 22 Jan 2010 16:42:52 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 10:06:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:17:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.